# Class SectionRepositoryTest

Namespace
  adas_core.Test.Repositories

Assembly
  adas-core.Test.dll

    [TestFixture]
    [Category("Integration")]
    public class SectionRepositoryTest

Inheritance
  object
  SectionRepositoryTest

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Methods

### FindById_Find_Id_Return_Section()

    [Test]
    public Task FindById_Find_Id_Return_Section()

#### Returns

Task

### FindById_Find_Return_Section()

    [Test]
    public Task FindById_Find_Return_Section()

#### Returns

Task

### FindById_Not_Find_Id_Return_null()

    [Test]
    public Task FindById_Not_Find_Id_Return_null()

#### Returns

Task

### FindById_Not_Find_Return_null()

    [Test]
    public Task FindById_Not_Find_Return_null()

#### Returns

Task

### FindByLocation_Find_Return_List()

    [Test]
    public Task FindByLocation_Find_Return_List()

#### Returns

Task

### FindByLocation_Not_Find_Return_Emty_List()

    [Test]
    public Task FindByLocation_Not_Find_Return_Emty_List()

#### Returns

Task

### FindByPointOfCare_Find_Return_Section()

    [Test]
    public Task FindByPointOfCare_Find_Return_Section()

#### Returns

Task

### FindByPointOfCare_Not_Find_Return_null()

    [Test]
    public Task FindByPointOfCare_Not_Find_Return_null()

#### Returns

Task

### FindBySection_Find_Return_Section()

    [Test]
    public Task FindBySection_Find_Return_Section()

#### Returns

Task

### FindBySection_Not_Find_Return_null()

    [Test]
    public Task FindBySection_Not_Find_Return_null()

#### Returns

Task

### GetAll_Return_List_Sections()

    [Test]
    public Task GetAll_Return_List_Sections()

#### Returns

Task

### Init()

    [OneTimeSetUp]
    public Task Init()

#### Returns

Task

### InsertUpdateAndDeleteSection()

    [Test]
    public Task InsertUpdateAndDeleteSection()

#### Returns

Task